org.apache.commons.net

## Class ProtocolCommandEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.commons.net.ProtocolCommandEvent

- All Implemented Interfaces:
    Serializable

      public class ProtocolCommandEvent
      extends EventObject

  There exists a large class of IETF protocols that work by sending an ASCII text command and arguments to a server, and then receiving an ASCII text reply. For debugging and other purposes, it is extremely useful to log or keep track of the contents of the protocol messages. The ProtocolCommandEvent class coupled with the `ProtocolCommandListener` interface facilitate this process.
  See Also:
    `ProtocolCommandListener`, `ProtocolCommandSupport`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolCommandEvent(Object source, int replyCode, String message)` Creates a ProtocolCommandEvent signaling a reply to a command was received.
    `ProtocolCommandEvent(Object source, String command, String message)` Creates a ProtocolCommandEvent signaling a command was sent to the server.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommand()` Gets the string representation of the command type sent (e.g., "STAT" or "GET").
    `String` | `getMessage()` Gets the entire message sent to or received from the server.
    `int` | `getReplyCode()` Gets the reply code of the received server reply.
    `boolean` | `isCommand()` Tests whether the ProtocolCommandEvent was generated as a result of sending a command.
    `boolean` | `isReply()` Tests whether the ProtocolCommandEvent was generated as a result of receiving a reply.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolCommandEvent

          public ProtocolCommandEvent(Object source,
                                      int replyCode,
                                      String message)

      Creates a ProtocolCommandEvent signaling a reply to a command was received. ProtocolCommandEvents created with this constructor should only be sent after a complete command reply has been received from a server.
      Parameters:
        `source` - The source of the event.
        `replyCode` - The integer code indicating the natureof the reply. This will be the protocol integer value for protocols that use integer reply codes, or the reply class constant corresponding to the reply for protocols like POP3 that use strings like OK rather than integer codes (i.e., POP3Repy.OK).
        `message` - The entire reply as received from the server.

    - #### ProtocolCommandEvent

          public ProtocolCommandEvent(Object source,
                                      String command,
                                      String message)

      Creates a ProtocolCommandEvent signaling a command was sent to the server. ProtocolCommandEvents created with this constructor should only be sent after a command has been sent, but before the reply has been received.
      Parameters:
        `source` - The source of the event.
        `command` - The string representation of the command type sent, not including the arguments (e.g., "STAT" or "GET").
        `message` - The entire command string verbatim as sent to the server, including all arguments.

  - ### Method Detail

    - #### getCommand

          public String getCommand()

      Gets the string representation of the command type sent (e.g., "STAT" or "GET"). If the ProtocolCommandEvent is a reply event, then null is returned.
      Returns:
        The string representation of the command type sent, or null if this is a reply event.

    - #### getMessage

          public String getMessage()

      Gets the entire message sent to or received from the server. Includes the line terminator.
      Returns:
        The entire message sent to or received from the server.

    - #### getReplyCode

          public int getReplyCode()

      Gets the reply code of the received server reply. Undefined if this is not a reply event.
      Returns:
        The reply code of the received server reply. Undefined if not a reply event.

    - #### isCommand

          public boolean isCommand()

      Tests whether the ProtocolCommandEvent was generated as a result of sending a command.
      Returns:
        true If the ProtocolCommandEvent was generated as a result of sending a command. False otherwise.

    - #### isReply

          public boolean isReply()

      Tests whether the ProtocolCommandEvent was generated as a result of receiving a reply.
      Returns:
        true If the ProtocolCommandEvent was generated as a result of receiving a reply. False otherwise.